//一个常量但变动后加密解密的值会变动
var strLicenseKey = 699;
//解密坐标
function jiemi(meT){
var W7pj=-1;
var I524S=0;
var qk_X='';
for(var i=0;i<meT.length;i++){var j86T=parseInt(meT.charAt(i),36)-10;
if(j86T>=10)j86T=j86T-7;qk_X+=(j86T).toString(36);
if(j86T>I524S){W7pj=i;I524S=j86T}}var U8T=parseInt(qk_X.substring(0,W7pj),16);
var f9v8D=parseInt(qk_X.substring(W7pj+1),16);
var H1433=new Array();
H1433[0]=(U8T+f9v8D-parseInt(strLicenseKey))/2;
H1433[1]=(f9v8D-H1433[0])/100000.0;
H1433[0]/=100000.0;
return H1433};
//解密坐标的实例
//document.write('这是IJSDSBWVJABFA解密后的值：<br>'+jiemi('IJSDSBWVJABFA')+'<br><br>');
//加密坐标
function jiami(e53,B92_)
    {
        var WVd94=parseInt(parseFloat(e53)*100000);
        var j7_2=parseInt(parseFloat(B92_)*100000);
        var rpB=(j7_2-WVd94+parseInt(strLicenseKey)).toString(16);
        var ie9=(j7_2+WVd94).toString(16);
        var H1433='';
        for(var i=0;i<rpB.length;i++)
        {
            var k6A36=parseInt(rpB.charAt(i),16);
            H1433+=(((k6A36>=10)?(k6A36+7):k6A36)+10).toString(36)
        }
        H1433+='z';
        for(var i=0;i<ie9.length;i++)
        {
            var k6A36=parseInt(ie9.charAt(i),16);
            H1433+=(((k6A36>=10)?(k6A36+7):k6A36)+10).toString(36)
        }
        return H1433.toUpperCase()
    }
//加密实例
//document.write('这是31.23245，121.46979加密后的值：<br>'+jiami('31.23245','121.46979'));    
